Name:           azy
Version:        1.0.0
Release:        1%{?dist}
Summary:        Lazy RPC client/server library

Group:          System Environment/Libraries
License:        LGPL
URL:            http://trac.enlightenment.org/e/wiki/Eio
Source0:        http://download.enlightenment.org/snapshots/2008-09-25/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libeina-devel >= 1.0.0, ecore-devel >= 1.0.0
BuildRequires:  doxygen byacc

%description
Azy is a full rewrite of libzxr, itself a modification of libxr.  It is meant for
implementing rpc clients and servers in a simple manner.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete



%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libazy*.so.*


%files devel
%defattr(-,root,root,-)
%{_bindir}/azy_parser
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Dec 15 2010 Vasile Chelban <vchelban@fedoramd.org> 1.0.0-1
- Initial specfile for azy
